# azure.mgmt.containerregistry.v2017_03_01.models module

class `azure.mgmt.containerregistry.v2017_03_01.models.``OperationDefinition`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The definition of a container registry operation.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}.
  - display (OperationDisplayDefinition) – The display information for the container registry operation.

class `azure.mgmt.containerregistry.v2017_03_01.models.``OperationDisplayDefinition`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The display information for a container registry operation.

  Parameters:

  - provider (str) – The resource provider name: Microsoft.ContainerRegistry.
  - resource (str) – The resource on which the operation is performed.
  - operation (str) – The operation that users can perform.
  - description (str) – The description for the operation.

class `azure.mgmt.containerregistry.v2017_03_01.models.``RegenerateCredentialParameters`(*, name, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters used to regenerate the login credential.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str or PasswordName) – Required. Specifies name of the password which should be regenerated – password or password2. Possible values include: ‘password’, ‘password2’

class `azure.mgmt.containerregistry.v2017_03_01.models.``Registry`(*, location: str, sku, tags=None, admin_user_enabled: bool = False, storage_account=None, **kwargs)

  Bases: `azure.mgmt.containerregistry.v2017_03_01.models._models_py3.Resource`

  An object that represents a container registry.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.
  - login_server (str) – The URL that can be used to log into the container registry.
  - creation_date (datetime) – The creation date of the container registry in ISO8601 format.
  - provisioning_state (str or ProvisioningState) – The provisioning state of the container registry at the time the operation was called. Possible values include: ‘Creating’, ‘Succeeded’

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.
  - sku (Sku) – Required. The SKU of the container registry.
  - admin_user_enabled (bool) – The value that indicates whether the admin user is enabled. Default value: False .
  - storage_account (StorageAccountProperties) – The properties of the storage account for the container registry.

class `azure.mgmt.containerregistry.v2017_03_01.models.``RegistryCreateParameters`(*, location: str, sku, storage_account, tags=None, admin_user_enabled: bool = False, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for creating a container registry.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - tags (dict[str, str]) – The tags for the container registry.
  - location (str) – Required. The location of the container registry. This cannot be changed after the resource is created.
  - sku (Sku) – Required. The SKU of the container registry.
  - admin_user_enabled (bool) – The value that indicates whether the admin user is enabled. Default value: False .
  - storage_account (StorageAccountParameters) – Required. The parameters of a storage account for the container registry. If specified, the storage account must be in the same physical location as the container registry.

class `azure.mgmt.containerregistry.v2017_03_01.models.``RegistryListCredentialsResult`(*, username: str = None, passwords=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response from the ListCredentials operation.

  Parameters:

  - username (str) – The username for a container registry.
  - passwords (list[RegistryPassword]) – The list of passwords for a container registry.

class `azure.mgmt.containerregistry.v2017_03_01.models.``RegistryNameCheckRequest`(*, name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  A request to check whether a container registry name is available.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str) – Required. The name of the container registry.
  Variables: | type (str) – Required. The resource type of the container registry. This field must be set to ‘Microsoft.ContainerRegistry/registries’. Default value: “Microsoft.ContainerRegistry/registries” .

  `type` = 'Microsoft.ContainerRegistry/registries'

class `azure.mgmt.containerregistry.v2017_03_01.models.``RegistryNameStatus`(*, name_available: bool = None, reason: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The result of a request to check the availability of a container registry name.

  Parameters:

  - name_available (bool) – The value that indicates whether the name is available.
  - reason (str) – If any, the reason that the name is not available.
  - message (str) – If any, the error message that provides more detail for the reason that the name is not available.

class `azure.mgmt.containerregistry.v2017_03_01.models.``RegistryPassword`(*, name=None, value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The login password for the container registry.

  Parameters:

  - name (str or PasswordName) – The password name. Possible values include: ‘password’, ‘password2’
  - value (str) – The password value.

class `azure.mgmt.containerregistry.v2017_03_01.models.``RegistryUpdateParameters`(*, tags=None, admin_user_enabled: bool = None, storage_account=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters for updating a container registry.

  Parameters:

  - tags (dict[str, str]) – The tags for the container registry.
  - admin_user_enabled (bool) – The value that indicates whether the admin user is enabled.
  - storage_account (StorageAccountParameters) – The parameters of a storage account for the container registry. If specified, the storage account must be in the same physical location as the container registry.

class `azure.mgmt.containerregistry.v2017_03_01.models.``Resource`(*, location: str, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An Azure resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource ID.
  - name (str) – The name of the resource.
  - type (str) – The type of the resource.

  Parameters:

  - location (str) – Required. The location of the resource. This cannot be changed after the resource is created.
  - tags (dict[str, str]) – The tags of the resource.

class `azure.mgmt.containerregistry.v2017_03_01.models.``Sku`(*, name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The SKU of a container registry.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str) – Required. The SKU name of the container registry. Required for registry creation. Allowed value: Basic.
  Variables: | tier (str or SkuTier) – The SKU tier based on the SKU name. Possible values include: ‘Basic’

class `azure.mgmt.containerregistry.v2017_03_01.models.``StorageAccountParameters`(*, name: str, access_key: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters of a storage account for a container registry.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the storage account.
  - access_key (str) – Required. The access key to the storage account.

class `azure.mgmt.containerregistry.v2017_03_01.models.``StorageAccountProperties`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of a storage account for a container registry.

  Parameters: | name (str) – The name of the storage account.

class `azure.mgmt.containerregistry.v2017_03_01.models.``RegistryPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Registry` object

class `azure.mgmt.containerregistry.v2017_03_01.models.``OperationDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `OperationDefinition` object

class `azure.mgmt.containerregistry.v2017_03_01.models.``SkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'

class `azure.mgmt.containerregistry.v2017_03_01.models.``ProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `creating` = 'Creating'
  `succeeded` = 'Succeeded'

class `azure.mgmt.containerregistry.v2017_03_01.models.``PasswordName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `password` = 'password'
  `password2` = 'password2'